Catalyst::Plugin::Redirect(3pm)

NAME
Catalyst::Plugin::Redirect - Redirect for Catalyst used easily is offered.

SYNOPSIS
  use Catalyst 'Redirect';

  $c->get_baseurl;

  $c->redirect('redirect_url');
  $c->redirect('/redirect_url');
  $c->redirect('http://www.perl.org/');

DESCRIPTION
Redirect for Catalyst used easily is offered.

METHODS

get_baseurl
    Basic URL of your application is returned. If your application is executed by "http://myhost/myapp/" it returns "/myapp/" .

redirect
    $c->redirect('redirect_url'); $c->res->redirect('redirect_url') is executed.

    $c->redirect('/redirect_url'); $c->res->redirect($c->get_baseurl.'redirect_url') is executed.

    $c->redirect('http://www.perl.org/'); $c->res->redirect('http://www.perl.org/') is executed.

BUGS
When Reverse Proxy is used, get_baseurl returns the backend server's base. For example, "/" will be returned when http://www.mydomain.com/myapp/ is a proxy for http://appserver.local.server/.

SEE ALSO
Catalyst

AUTHOR
Shota Takayama, "shot[atmark]bindstorm.jp"

COPYRIGHT AND LICENSE
This program is free software, you can redistribute it and/or modify it under the same terms as Perl itself.